/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2017  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////

#ifndef FOLDERSYNCHEADERFILE
#define FOLDERSYNCHEADERFILE

#include <QDialog>
#include <QStringList>

#include "filedata.h"

class QLineEdit;
class QToolButton;
class QPlainTextEdit;
class QPushButton;
class QSettings;
class TMessageBox;

class TFolderSync : public QDialog
{
Q_OBJECT
public:
	
// CREATORS
	TFolderSync(const QWidget *parent=0,Qt::WindowFlags flags=0);
	virtual ~TFolderSync(void);
	
// ACCESSORS
	
// MANIPULATORS
	
private slots:
	void Sync(void);
	void Source_Report(void);
	void Browse_Source(void);
	void Browse_Destination(void);
	
protected:
	virtual void closeEvent(QCloseEvent *event);

private:
	QSettings							*d_settings;

	QLineEdit							*d_source_edit;
    QToolButton							*d_source_browse_button;
    QLineEdit							*d_destination_edit;
    QToolButton							*d_destination_browse_button;
    QPlainTextEdit						*d_file_log;
    QPushButton							*d_sync_button;
	QPushButton							*d_source_report_button;
    QPushButton							*d_close_button;
	
	TMessageBox							*d_msg_box;

	QStringList							d_TransferFileList;
    QStringList							d_TransferDirList;
	QString								d_data_path;
	QString								d_program_touch;
	QString								d_program_touch_datetime_format;


	bool Create_Reference(void);
	bool Update_Target_Folder(void);
	void Add_Transfer_Path(const QString &path);
	
	void Initialize_Log(void);
	void Add_Log_Entry(const QString &title);
	void Add_Log_Entry(const QString &date_time,const QString &file);
	void Write_Log(void);

	
// NOT IMPLEMENTED
	TFolderSync(const TFolderSync&);
	TFolderSync& operator=(const TFolderSync&);
	
};

#endif
